#include "main.h"


//				Attention !!!
// take care, that during delay no interrupt access a timer register
// or restore TCNT1H


void delay( int d )			// d = 0 ... 32000
{
  d += TCNT1;				// not atomic !

  while( (TCNT1 - d) & 0x8000 );	// not atomic !
}


void delay_ms(unsigned long ms)
 {
  uint16_t max = 262.14/F_CPU*1000000;
  for (uint16_t z = ms/max; z > 0; z--) _delay_ms(max);
  _delay_ms(ms%max);
 }
