#include "main.h"

uint8_t count,sec;

//-------------- I/O Initialisieren ---------------------------
void io_init(void)
{
		DDRA =0xFF;   						
		DDRD |=(1<<PD2)|(1<<PD3)|(1<<PD4);	// Umschaltung Temperatursensoren
		DDRD &= ~(1<<PD6)^(1<<PD7); 		// PCF8573 Sekunde,Minute

		DDRC =0xFF;

//		DDRC &= ~ (1<<5);				// Eingang Netz_in als input

		DDRC &= ~ (1<<Netz_in);				// Eingang Netz_in als input

//		PINC |= (1<<Netz_in);
			



		DDRC &= ~(1<<PC0)^(1<<PC1); 		// SCL SDA

		PORTC &= ~(1<<LCD_EN1);				// LCD Enable 1 auf low setzen
		PORTC &= ~(1<<LCD_EN2);				// LCD Enable 2 auf low setzen
//		PORTC |= (1<<Netz_in);	



//		LCD_STEUER_PORT=0x00;
		LCD_DATA_PORT=0x00;

		DDRB =0xFF;
		rel_steuer |= (1<<data_in);			// Tastatur auf High setzen
		rel_steuer &= ~(1<<output1);		// Relais 1 auf low setzen
		rel_steuer &= ~(1<<output2);		// Relais 2 auf low setzen

}		// ENDE I/O init



int main( void )
{


	io_init();			// Ausgnge Global setzen muss am Anfang stehen wegen 74HCT541


  	init_timer();
  	uartinit();
  	sei();

	ee_read_SWT();		// Schaltzeiten aus EEPROM lesen

  	lcd1_init();
  	lcd2_init();

  	sec = 0;
	// Alle Aktivitten aus
	Status.byte=0;

	 ser.timedisplay=true;

  while(1){				// main loop




//----------------- Sekundenimpuls auswerten ----------------------

  if(ser.secpuls==true){					// alle Sekunde ausfhren    	




	
	 if(sekunde==60){					// Uhrzeit 
	 sekunde=0;
	 minute++;

	

	 steuer_heizung();
	
	 statusSenden();					// Status Heizung senden
	 SendAussen();						// Auentemperatur senden

		 if(minute==60){
		 minute=0;
		 stunde++;
		 	if (stunde ==24){
			stunde=0;
			tag++;
				if(tag==8)tag=1;
		 }
		 }
		 }
		

	if(ser.timedisplay){dagDisplay();}	// Aktuellen Status anzeigen
	temp_steuer();						// DS18B20 einlesen

	


	ser.secpuls=false;}					// Ende Sekundenimpuls auswerten


//------------------- RS 232 auswerten -----------------------------

	if(ser.empfang==true)
	{
		if(adresse == einlesen(serData,1,3))
		{
			switch(serData[0])
			{		
				case 'D':{dataEinlesen();} break;	// Schaltdaten Heizung einlesen
		
				case 'T':{ZeitEinlesen();} break;	// Status Heizung einlesen
				case 's':{statusSenden();} break;	// Status Heizung senden
				case 'h':{DataOutSer();} break;
				case 'o':{SendAussen();} break;	
				case 'Z':{zeit= einlesen(serData,4,4);uputintnl(zeit);sercount=0;} break;		
			}
		}
				ser.empfang=false;
	}									// ende RS 232 Auswertung
  
   
   


//----------------- Tastatur auswerten -----------------------
	tastauswert(count);
	count++;
	if (count==4) count=0;				// Ende Tastatur auswerten

		Relais_ausgeben();



// Netz Serielles Kommando Auswerten
if(sercount<5){
if (!( PINC & Netz_Sig )){uputintnl(netz_ser());sercount++;}	

}


  }// End main loop
}	//End main
