#include "main.h"




//----- Sensor whlen ------------ 
void temp_steuer(){
	DDRD |=(1<<PD2)|(1<<PD3)|(1<<PD4);	// Umschaltung Temperatursensoren initialisieren

	PORTD = kanal<<2;					//  Temperatursensoren whlen

	if(ser.temp_start==true){
		Sensor[kanal]=read_meas();	// messung ausfhren	
		kanal++;
		if(kanal==c_kanal_aktuell)kanal=0;
		ser.temp_start=false;
		}
		else
		{
		start_meas();					// messung starten		
		ser.temp_start=true;		
		}
}


//------Sensor initialisieren-----
void start_meas( void ){
  if( W1_IN & 1<< W1_PIN ){
    w1_command( CONVERT_T, NULL );
    W1_OUT |= 1<< W1_PIN;
    W1_DDR |= 1<< W1_PIN;			// parasite power on
  }
}

//------ Sensor einlesen ---------
uint read_meas( void )
{
  uchar id[8], diff;
  uchar i;
  uint temp=-999;

  for( diff = SEARCH_FIRST; diff != LAST_DEVICE; ){
    diff = w1_rom_search( diff, id );

    if( diff == PRESENCE_ERR ){
     
      break;
    }
    if( diff == DATA_ERR ){
    
      break;
    }
    if( id[0] == 0x28 || id[0] == 0x10 ){	// temperature sensor
 
      for( i = 0; i < 8; i++ ){


      }
      w1_byte_wr( READ );			// read command
      temp = w1_byte_rd();			// low byte
      temp |= (uint)w1_byte_rd() << 8;		// high byte
      if( id[0] == 0x10 )			// 9 -> 12 bit
        temp <<= 3;
      }
  }
 return temp;
}



